明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1545|回复: 2

[讨论] 有无办法使程序命令AA后不提示C:ND

[复制链接]
发表于 2010-4-9 17:02:00 | 显示全部楼层 |阅读模式

有无办法使程序加载命令AA后,不出现提示C:ND

(defun c:aa()
(setq flag t)
(if flag (load"C:/kk/kk.lsp"))
;序号加一 明经 ZZXXQQ 2008.5.26,2008.6.3
(defun c:nd ()
   (setvar "CMDECHO" 0)
   (setq sc (getdist "\nselect a point to point 从一点到另一点确定字体高度 :"))
   (setq bn (getint "\nInput begin number 输入起始序号:"))
   (setq sc1 (* sc 0.53))
   (while (setq p1 (getpoint "\nInsert Point :"))
    (command "text" "j" "m" p1 sc1 "" bn)
    (setq s1 (entlast))
    (setq txtn (itoa bn))
    (setq bn (1+ bn))
    (while (and (setq ss (ssget "X" (list '(0 . "TEXT") (cons 1 txtn))))
           (= (sslength ss) 2))
     (setq ss (ssdel s1 ss)
           s1 (ssname ss 0)
           ent (entget s1)
           txtn (itoa (1+ (atoi txtn)))
           ent (subst (cons 1 txtn) (assoc 1 ent) ent))
     (entmod ent)
    )
   )
   (setvar "CMDECHO" 1)
   (princ)
)

)


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2010-4-9 17:26:00 | 显示全部楼层

(defun c:aa .....
.....
)
(Princ)   ; Add this line

 楼主| 发表于 2010-4-9 18:45:00 | 显示全部楼层
本帖最后由 作者 于 2010-4-10 7:29:14 编辑

Andyhon发表于2010-4-9 17:26:00(defun c:aa ..........)(Princ)   ; Add this line

是加错位啦,现不那样提示,谢谢!

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-10-1 23:33 , Processed in 0.151213 second(s), 26 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表